Subject: Ticket Assigned - Order number 8278215847
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 21 Jul 2021 06:02:20 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order number 8278215847 Dear Home Center

I have ordered the following
BABYSHOP
Disney Princess Sequin Detail Cushion - 40x40 cms
Color: Multicolour
Size: Free Size
Quantity: 1

And I have not received it although I received the rest of the order.
I have contacted customer service but I have not been contacted till today
18th July 2021

My order number is below

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2880673